/*
 Problema: dado um vetor a, com n numeros reais, calcular e
 imprimir a soma dos n elementos do vetor a.
 Obs. o primeiro valor lido ser o de n. Considere n<=100.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - permitir que voc digite os elementos
      do vetor "a", um de cada vez;
  4 - calcular a soma dos elementos do vetor a;
  5 - imprimir o valor obtido para soma;

 descricao das variaveis
  n - tamanho do vetor - quantidade de elementos do vetor;
  i - contador de repeticao, indice usado para
      acessar os elementos do vetor;
  a - representa o vetor;
  s - guarda a soma dos elementos do vetor a
*/

#include <iostream>

using namespace std;

void f1(float a[], int n)
{
    for (int i = 0; i < n; i = i + 1)
    {
       cin >> a[i];
    }
}

float f2(float a[], int n)
{
   float res = 0;//zerar a soma - define o valor inicial da soma
   for (int i = 0; i < n; i++) {
      res = res + a[i];//somar os elementos do vetor a, um por vez
   }//fim for
   return res;
}

int main()
{
   /* define o tipo de dados */
   int n; /* numero de elementos, tamanho, do vetor a, usado na execucao do programa */

   float a[10], s;

   /* entrada de dados */
   cout << "digite o valor de n <= 10: ";
   cin >> n;

   cout << "digite os elementos do vetor a: ";
   f1(a, n);

   /* cacular a soma dos elementos do vetor a */
   s = f2(a, n);

   cout << "soma dos elementos do vetor a: " << s << endl;

   return 0;
}
